## SMS System

This is a service which is used for sending SMS messages.

### Features
Can use SMS send via a given template using module
`https://www.drupal.org/project/token`. Templates can be defined as well.

Can log any sent SMS and keep monitoring of them. A good possibility
of managing it via drupal `https://www.drupal.org/project/views`, which means,
you can filter/export/paginate etc.

Can use SMS queue list in case of a high load site, so, data will be processed
via a cron.

Possibility to use a `Test` mode, so, the customer won't spend any money on
sending test sms. Mostly useful for local development purpose.

### Dependencies
* `https://www.drupal.org/project/token`
* `https://www.drupal.org/project/views`
* `https://www.drupal.org/project/views_data_export`
* `https://www.drupal.org/project/date_popup`

```php
$sms_service = \Drupal::service('smssystem.send_sms');

// Send a simple sms to a recipient with a message.
$sms_service->sendSms('+37369123456', 'Hello!');

// Send a sms to a recipient with a given template.
// Available templates are here: admin/config/system/smssystem/templates/list
$sms_service->sendSmsByTemplate('order_completed', '+37369123456');

// Send an SMS to the queue. The queue name "sms_send_processing".
$sms_service->sendSms('+37369123456', 'Hello!', TRUE);
$sms_service->sendSmsByTemplate('+37369123456', 'Hello!', TRUE);
```

Tested service `http://www.intermobcom.md/`.

### Can work with:
* BulkSMS
* PROCONTEXT
* EMOTION TRADING

### Configuration:
* Admin main config page: `admin/config/system/smssystem`
* Admin API config page: `admin/config/system/smssystem/api`
* SMS Message templates page: `admin/config/system/smssystem/templates/list`
* Reporting page: `admin/config/system/smssystem/reporting`
* SMS Queue list page: `admin/structure/smssystem/sms-queue-list`
